CVE-2017-14974

Priority
Description
The *_get_synthetic_symtab functions in the Binary File Descriptor (BFD)
library (aka libbfd), as distributed in GNU Binutils 2.29, mishandle the
failure of a certain canonicalization step, which allows remote attackers
to cause a denial of service (NULL pointer dereference and application
crash) via a crafted ELF file, related to elf32-i386.c and elf64-x86-64.c.
Notes
Package
Upstream:released (2.29.1-2)
Ubuntu 12.04 ESM (Precise Pangolin):needs-triage
Ubuntu 14.04 ESM (Trusty Tahr):needs-triage
Ubuntu 16.04 LTS (Xenial Xerus):needs-triage
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (2.29.1-4ubuntu1)
Ubuntu 19.04 (Disco Dingo):not-affected (2.29.1-4ubuntu1)
Ubuntu 19.10 (Eoan Ermine):not-affected (2.29.1-4ubuntu1)
Ubuntu 20.04 (Focal Fossa):not-affected (2.29.1-4ubuntu1)
Patches:
Upstream:https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=e70c19e3a4c26e9c1ebf0c9170d105039b56d7cf
More Information

Updated: 2019-12-05 19:45:38 UTC (commit 0aa5e7c87c8b55d2ec5c7f4ca1179cf75de91961)